Quassel IRC - Feature #213

Add a multiline write line with a toogle button like Chatzilla
07/08/2008 12:26 PM - ZRegis
0S: Any

Description

Sometimes you want to add edit and send a text with multi lines reply.
The possibility to have a multi line space to edit could be a great new feature.

Regarding also to the 0000209 bug.

The chatzilla client give a good example for that.

Related issues:

Related to Quassel IRC - Feature #443: Tab completion should show list of pos... Assigned
Related to Quassel IRC - Bug #209: multiple lines in a buffer are sent automa... Resolved
Has duplicate Quassel IRC - Feature #386: Expand input box when multiple line... Rejected

Associated revisions

Revision f047a4f7add72ef7e32ad33f884e62a5773ecc72 - 08/16/2009 01:03 PM - Manuel Nickschas
Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #2009, closes #2183, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

Revision f047a4{7 - 08/16/2009 01:03 PM - Manuel Nickschas

Introduce multi-line editing for the inputline

This introduces the new MultiLineEdit that basically enhances the old InputLine widget by being

able to expand to show more than one line. All non-editing related things have been moved out of the

MultiLineEdit to ease reuse in other widgets. For example, InputWidget-specific keypresses are now handled
in InputWidget rather than MultiLineEdit.

Closes #209, closes #213, fixes #386. Thanks to Squider for input (I saw your patch too late, but | did refactor
things anyway...)

History

#1 - 09/02/2008 06:13 PM - sph

I'm not sure about the toggle button, but using ctrl-enter or shift-enter to switch to multiline mode and add a new line would be nice.

Also, it'd be great if it automatically recognizes a multiline copy/paste (and removes the last newline at the end) rather than sending them right away
without any chance of editing.

#2 - 04/21/2009 01:00 AM - Squider

- File 0001-The-InputLine-is-now-multi-line.patch added

| found some free time and decided to make something nice for you all. The included patch is against the current git master.
e The input line now automatically expands up to 8 lines.

e Control+Up/Down are now used to scroll the ChatView.
¢ Shift+Up/Down are used to manipulate the InputLine.
o Shift+Return lets you enter a new line.
e User now can always review pastes before sending to IRC.

And what comes to those traling newlines, empty lines are not sent at all (like before).

#3 - 04/21/2009 01:45 AM - Squider
- File 0001-Play-nice-with-older-Qt.patch added

Squider wrote:
| found some free time and decided to make something nice for you all. The included patch is against the current git master.

e The input line now automatically expands up to 8 lines.
Control+Up/Down are now used to scroll the ChatView.
Shift+Up/Down are used to manipulate the InputLine.
Shift+Return lets you enter a new line.

User now can always review pastes before sending to IRC.

L]
L]
L]
L]
And what comes to those traling newlines, empty lines are not sent at all (like before).

Sorry, | mistakenly commented out one preprocessor block. Here is a patch reverting that change.
This patch also removes some unneeded margin-space when using Qt < 4.5.

#4 - 08/14/2009 08:16 PM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Priority changed from High to Normal

- Target version set to 0.5.0

#5 - 08/16/2009 01:04 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset f047a4f7add72ef7e32ad33{884e62a5773ecc72.

Files

0001-The-InputLine-is-now-multi-line.patch 8.34 KB 04/20/2009 Squider

0001-Play-nice-with-older-Qt.patch 1.77 KB 04/20/2009 Squider
